summary refs log tree commit diff
path: root/scripts-dev/config-lint.sh
diff options
context:
space:
mode:
authorDan Callahan <danc@element.io>2021-10-22 22:46:06 +0100
committerDan Callahan <danc@element.io>2021-10-22 23:08:54 +0100
commit13f084eb58c379b2fc073680818d5931e94626f4 (patch)
treefb5d41ac9612ff43394d7d1d722d30e45aa4df1a /scripts-dev/config-lint.sh
parentFix Shellcheck SC2012: Use find instead of ls (diff)
downloadsynapse-13f084eb58c379b2fc073680818d5931e94626f4.tar.xz
Fix Shellcheck SC2086: Quote to prevent splitting
Double quote to prevent globbing and word splitting.

https://github.com/koalaman/shellcheck/wiki/SC2086

Signed-off-by: Dan Callahan <danc@element.io>
Diffstat (limited to 'scripts-dev/config-lint.sh')
-rwxr-xr-xscripts-dev/config-lint.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts-dev/config-lint.sh b/scripts-dev/config-lint.sh
index 15c8c2f93a..7fb6ab68ef 100755
--- a/scripts-dev/config-lint.sh
+++ b/scripts-dev/config-lint.sh
@@ -3,7 +3,7 @@
 # Exits with 0 if there are no problems, or another code otherwise.
 
 # cd to the root of the repository
-cd "`dirname $0`/.." || exit
+cd "`dirname "$0"`/.." || exit
 
 # Restore backup of sample config upon script exit
 trap "mv docs/sample_config.yaml.bak docs/sample_config.yaml" EXIT